package com.sun.corba.se.impl.orbutil;

import java.io.IOException;
import java.io.ObjectStreamClass;
import java.util.Hashtable;
import java.io.ObjectInputStream;

class LegacyHookGetFields extends ObjectInputStream.GetField
{
    private Hashtable fields;
    
    LegacyHookGetFields(Hashtable fields) {
        this.fields = null;
        this.fields = fields;
    }
    
    @Override
    public ObjectStreamClass getObjectStreamClass() {
        return null;
    }
    
    @Override
    public boolean defaulted(String key) throws IOException, IllegalArgumentException {
        return !this.fields.containsKey(key);
    }
    
    @Override
    public boolean get(String key, boolean b) throws IOException, IllegalArgumentException {
        if (this.defaulted(key)) {
            return b;
        }
        return (boolean)this.fields.get(key);
    }
    
    @Override
    public char get(String key, char c) throws IOException, IllegalArgumentException {
        if (this.defaulted(key)) {
            return c;
        }
        return (char)this.fields.get(key);
    }
    
    @Override
    public byte get(String key, byte b) throws IOException, IllegalArgumentException {
        if (this.defaulted(key)) {
            return b;
        }
        return (byte)this.fields.get(key);
    }
    
    @Override
    public short get(String key, short n) throws IOException, IllegalArgumentException {
        if (this.defaulted(key)) {
            return n;
        }
        return (short)this.fields.get(key);
    }
    
    @Override
    public int get(String key, int n) throws IOException, IllegalArgumentException {
        if (this.defaulted(key)) {
            return n;
        }
        return (int)this.fields.get(key);
    }
    
    @Override
    public long get(String key, long n) throws IOException, IllegalArgumentException {
        if (this.defaulted(key)) {
            return n;
        }
        return (long)this.fields.get(key);
    }
    
    @Override
    public float get(String key, float n) throws IOException, IllegalArgumentException {
        if (this.defaulted(key)) {
            return n;
        }
        return (float)this.fields.get(key);
    }
    
    @Override
    public double get(String key, double n) throws IOException, IllegalArgumentException {
        if (this.defaulted(key)) {
            return n;
        }
        return (double)this.fields.get(key);
    }
    
    @Override
    public Object get(String key, Object o) throws IOException, IllegalArgumentException {
        if (this.defaulted(key)) {
            return o;
        }
        return this.fields.get(key);
    }
    
    @Override
    public String toString() {
        return this.fields.toString();
    }
}
